OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_GraphNode Class Reference

Provides links between functions.
.

`#include <TFunction_GraphNode.hxx>`

Inheritance diagram for TFunction_GraphNode:

[legend]

## Public Member Functions
Standard_EXPORT | TFunction_GraphNode ()
Standard_EXPORT Standard_Boolean | AddPrevious (const Standard_Integer funcID)
| Defines a reference to the function as a previous one. .
Standard_EXPORT Standard_Boolean | AddPrevious (const TDF_Label &func)
| Defines a reference to the function as a previous one. .
Standard_EXPORT Standard_Boolean | RemovePrevious (const Standard_Integer funcID)
| Removes a reference to the function as a previous one. .
Standard_EXPORT Standard_Boolean | RemovePrevious (const TDF_Label &func)
| Removes a reference to the function as a previous one. .
Standard_EXPORT const TColStd_MapOfInteger & | GetPrevious () const
| Returns a map of previous functions. .
Standard_EXPORT void | RemoveAllPrevious ()
| Clears a map of previous functions. .
Standard_EXPORT Standard_Boolean | AddNext (const Standard_Integer funcID)
| Defines a reference to the function as a next one. .
Standard_EXPORT Standard_Boolean | AddNext (const TDF_Label &func)
| Defines a reference to the function as a next one. .
Standard_EXPORT Standard_Boolean | RemoveNext (const Standard_Integer funcID)
| Removes a reference to the function as a next one. .
Standard_EXPORT Standard_Boolean | RemoveNext (const TDF_Label &func)
| Removes a reference to the function as a next one. .
Standard_EXPORT const TColStd_MapOfInteger & | GetNext () const
| Returns a map of next functions. .
Standard_EXPORT void | RemoveAllNext ()
| Clears a map of next functions. .
Standard_EXPORT TFunction_ExecutionStatus | GetStatus () const
| Returns the execution status of the function. .
Standard_EXPORT void | SetStatus (const TFunction_ExecutionStatus status)
| Defines an execution status for a function. //! Implementation of Attribute methods =================================== .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
virtual Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoattribute>. The given pasted attribute can be full or empty of its contents. But don't make a NEW! Just set the contents! It is possible to use <arelocationtable> to get/set the relocation value of a source attribute. .
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&aDataSet) const
| Adds the first level referenced attributes and labels to <adataset>. For this, use the AddLabel or AddAttribute of DataSet. If there is none, do not implement the method. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Handle_TFunction_GraphNode | Set (const TDF_Label &L)
| Static methods ============== //! Finds or Creates a graph node attribute at the label <l>. Returns the attribute. .
static Standard_EXPORT const Standard_GUID & | GetID ()
| Returns the GUID for GraphNode attribute. //! Instant methods =============== //! Constructor (empty). .
## Private Attributes
TColStd_MapOfInteger | myPrevious
TColStd_MapOfInteger | myNext
TFunction_ExecutionStatus | myStatus

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_GraphNode::TFunction_GraphNode | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean TFunction_GraphNode::AddNext | ( | const TDF_Label & | func | ) |

Standard_EXPORT Standard_Boolean TFunction_GraphNode::AddNext | ( | const Standard_Integer | funcID | ) |

Standard_EXPORT Standard_Boolean TFunction_GraphNode::AddPrevious | ( | const TDF_Label & | func | ) |

Standard_EXPORT Standard_Boolean TFunction_GraphNode::AddPrevious | ( | const Standard_Integer | funcID | ) |

virtual Standard_EXPORT Standard_OStream& TFunction_GraphNode::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT const Standard_GUID& TFunction_GraphNode::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TColStd_MapOfInteger& TFunction_GraphNode::GetNext | ( |  | ) | const

Standard_EXPORT const TColStd_MapOfInteger& TFunction_GraphNode::GetPrevious | ( |  | ) | const

Standard_EXPORT TFunction_ExecutionStatus TFunction_GraphNode::GetStatus | ( |  | ) | const

Standard_EXPORT const TFunction_GraphNode::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TFunction_GraphNode::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT Handle_TDF_Attribute TFunction_GraphNode::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TFunction_GraphNode::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TFunction_GraphNode::References | ( | const Handle(TDF_DataSet)& | aDataSet | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT void TFunction_GraphNode::RemoveAllNext | ( |  | ) |

Standard_EXPORT void TFunction_GraphNode::RemoveAllPrevious | ( |  | ) |

Standard_EXPORT Standard_Boolean TFunction_GraphNode::RemoveNext | ( | const TDF_Label & | func | ) |

Standard_EXPORT Standard_Boolean TFunction_GraphNode::RemoveNext | ( | const Standard_Integer | funcID | ) |

Standard_EXPORT Standard_Boolean TFunction_GraphNode::RemovePrevious | ( | const TDF_Label & | func | ) |

Standard_EXPORT Standard_Boolean TFunction_GraphNode::RemovePrevious | ( | const Standard_Integer | funcID | ) |

virtual Standard_EXPORT void TFunction_GraphNode::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TFunction_GraphNode TFunction_GraphNode::Set | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT void TFunction_GraphNode::SetStatus | ( | const TFunction_ExecutionStatus | status | ) |

## Field Documentation

TColStd_MapOfInteger TFunction_GraphNode::myNext`[private]`

| Reimplemented from TDF_Attribute.

TColStd_MapOfInteger TFunction_GraphNode::myPrevious`[private]`

TFunction_ExecutionStatus TFunction_GraphNode::myStatus`[private]`

The documentation for this class was generated from the following file:

- TFunction_GraphNode.hxx